Bug 97388 - Document properties: Wrong icon for deleting custom field row
Summary: Document properties: Wrong icon for deleting custom field row
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: lowest trivial
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.2
Keywords:
Depends on:
Blocks: File-Properties
  Show dependency treegraph
 
Reported: 2016-01-27 09:55 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-03-01 15:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Custom fields in the properties dialog (13.72 KB, image/png)
2016-01-27 09:55 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2016-01-27 09:55:24 UTC
Created attachment 122235 [details]
Custom fields in the properties dialog

See screenshot.
The icon should be a "delete" icon, not "delete row".
Comment 1 Joel Madero 2016-01-27 19:12:55 UTC
Would be nice to actually know how to get to this dialog - given that the dialog is in German and not English I can't confirm the problem as I have no clue how to get to it.
Comment 2 Samuel Mehrbrodt (CIB) 2016-01-28 07:22:36 UTC
File->Properties->Custom Properties
Comment 3 Joel Madero 2016-01-28 16:53:51 UTC
I see. Thanks.

Bodhi Moksha
Version: 5.2.0.0.alpha0+
Build ID: d95d9d7f908419f397941ef60ac6ced3261c9b87
CPU Threads: 2; OS Version: Linux 3.16; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-01-19_00:40:21
Locale: en-US (en_US.UTF-8)

Setting as:
Trivial - not really impacting anything;
Lowest


That being said, almost definitely an easy hack.
Comment 4 Yousuf Philips (jay) (retired) 2016-02-19 19:12:48 UTC
It would be best to change the icon reference in the UI to point to cmd/sc_cancel.png.
Comment 5 Commit Notification 2016-02-29 11:30:29 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f0a0179c140ac18c7aff280eea82a6a3a0bc06a5

tdf#97388 Better icon for deleting custom field row

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-03-01 03:46:56 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95b8c3b3d20257ae8d361dc64d438806655c495a&h=libreoffice-5-1

tdf#97388 Better icon for deleting custom field row

It will be available in 5.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.